glibmm: Glib::Value< Glib::RefPtr< T > > Class Template Reference

glibmm 2.66.8

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< Glib::RefPtr< T > > Class Template Reference
Generic Values

Partial specialization for RefPtr<> to Glib::Object. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< T > >:
[legend]

## Public Types
using | CppType = Glib::RefPtr<T>
using | CType = typename T::BaseObjectType*
using | CppType
using | CType

## Public Member Functions
void | set (const CppType &data)
CppType | get () const
void | set (const CppType &data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase & other)
ValueBase & | operator= (const ValueBase & other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue * value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void *data)
void * | get_boxed () const
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase *data)
Glib::ObjectBase * | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

template<class T>
class Glib::Value< Glib::RefPtr< T > >

Partial specialization for RefPtr<> to Glib::Object.

## Member Typedef Documentation

## ◆ CppType [1/2]

template <class T>

using Glib::Value< Glib::RefPtr< T > >::CppType = Glib::RefPtr<T>

## ◆ CppType [2/2]

using Glib::Value< T >::CppType

## ◆ CType [1/2]

template <class T>

using Glib::Value< Glib::RefPtr< T > >::CType = typename T::BaseObjectType*

## ◆ CType [2/2]

using Glib::Value< T >::CType

## Member Function Documentation

## ◆ get() [1/2]

template <class T>

CppType Glib::Value< Glib::RefPtr< T > >::get | ( |  | ) | const
| inline

## ◆ get() [2/2]

CppType Glib::Value< T >::get | ( |  | ) | const
| inline

## ◆ set() [1/2]

template <class T>

void Glib::Value< Glib::RefPtr< T > >::set | ( | const CppType & | data | ) |
| inline

## ◆ set() [2/2]

void Glib::Value< T >::set | ( | const CppType & | data | ) |
| inline

## ◆ value_type() [1/2]

template <class T>

static GType Glib::Value< Glib::RefPtr< T > >::value_type | ( |  | ) |
| inlinestatic

## ◆ value_type() [2/2]

static GType Glib::Value< T >::value_type | ( |  | ) |
| static